/****************************************************************************/
/*  OMAPL137lnk.cmd   v#####                                                */
/*  Copyright (c) 2009@%%%%  Texas Instruments Incorporated                 */
/*																			*/
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on an OMAPL137/C674x     */
/*                 device.  Use it as a guideline.  You will want to        */
/*                 change the memory layout to match your specific C6xxx    */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/

-stack 0x2000
-heap 0x4000

/* OMAPL137 Memory map */

MEMORY
{
        DSPL2ROM	o = 0x00700000	l = 0x00010000
        DSPL2RAM	o = 0x00800000	l = 0x00040000
        DSPL1PRAM	o = 0x00E00000	l = 0x00008000
        DSPL1DRAM	o = 0x00F00000	l = 0x00008000
        SHDSPL2ROM	o = 0x11700000	l = 0x00010000
        SHDSPL2RAM	o = 0x11800000	l = 0x00040000
        SHDSPL1PRAM	o = 0x11E00000	l = 0x00008000
        SHDSPL1DRAM	o = 0x11F00000	l = 0x00008000
        EMIFASDRAM	o = 0x40000000	l = 0x20000000
        EMIFACS2	o = 0x60000000	l = 0x02000000
        EMIFACS3	o = 0x62000000	l = 0x02000000
        EMIFACS4	o = 0x64000000	l = 0x02000000
        EMIFACS5	o = 0x66000000	l = 0x02000000
        SHRAM		o = 0x80000000	l = 0x00020000
        EMIFBSDRAM	o = 0xC0000000	l = 0x20000000
        ARMRAM		o = 0xFFFF0000	l = 0x00002000
}

SECTIONS
{
	.text:	palign(8) {}	>	SHRAM
	.stack	>	SHRAM
	.bss	>	SHRAM
	.cinit	>	SHRAM
	.cio	>	SHRAM
	.const	>	SHRAM
	.data	>	SHRAM
	.switch	>	SHRAM
	.sysmem	>	SHRAM
	.far:	palign(8),fill=0xABCDDCBA {}	>	SHRAM
	.ppdata	>	SHRAM
	.saram	>	SHRAM
}
